#ifndef __PGS_PACKET_H__
#define __PGS_PACKET_H__

typedef enum PgsCommandType {
  PGS_COMMAND_SET_PALETTE                       = 0x14,
  PGS_COMMAND_SET_OBJECT_DATA                   = 0x15,
  PGS_COMMAND_PRESENTATION_SEGMENT              = 0x16,
  PGS_COMMAND_SET_WINDOW                        = 0x17,
  PGS_COMMAND_INTERACTIVE_SEGMENT               = 0x18,

  PGS_COMMAND_END_DISPLAY                       = 0x80,

  PGS_COMMAND_INVALID                           = 0xFFFF
} PgsCommandType;

typedef enum PgsPresSegmentFlags {
  PGS_PRES_SEGMENT_FLAG_UPDATE_PALETTE          = 0x80
} PgsPresSegmentFlags;

typedef enum PgsCompObjectFlags {
  PGS_COMP_OBJECT_FLAG_CROPPED                  = 0x80,
  PGS_COMP_OBJECT_FLAG_FORCED                   = 0x40
} PgsCompObjectFlags;

typedef enum PgsObjectUpdateFlags {
  /* Set in an object_update if this is the beginning of new RLE data.
   * If not set, the data is a continuation to be appended */
  PGS_OBJECT_UPDATE_FLAG_START_RLE              = 0x80
} PgsObjectUpdateFlags;

const struct PgsFrameRateEntry 
{ guint8 id; guint fps_n; guint fps_d; } PgsFrameRates[] =
{
  { 64, 30000, 1001 } /* 29.97 FPS */
};

typedef struct PgsPaletteEntry {
  guint8 n;
  guint8 Y;
  guint8 Cb;
  guint8 Cr;
  guint8 A;
} PgsPaletteEntry;

#endif
