#ifndef __UTIL_H__
#define __UTIL_H__

void dump_bytes (guint8 * data, guint length, guint indent_lvl);

#define PRINT_ERROR(x, ...) g_print ("**** " x, __VA_ARGS__);

#define CHECK_AVAIL_DECL guint32 check_avail_size; guint32 check_wanted_size;
#define CHECK_AVAIL(cur,end,needed,fail_label) \
    if (G_UNLIKELY((cur) + (needed) > (end))) { \
        check_avail_size = (end)-(cur);         \
        check_wanted_size = (needed);           \
        goto fail_label;                        \
    }
#define CHECK_PRINT_ERROR(errstr) \
    PRINT_ERROR ("%s: Have %u bytes, need %u\n", (errstr), \
        check_avail_size, check_wanted_size);

#endif
